<template>
  <div class="container shadow-2 bg-white" style="color: #757575">
    <ri-header></ri-header>
    <div class="font-36 q-ma-lg fontw700" align="center">Country brief</div>
    <div class="row">
      <div class="selectDataDownloadBox q-pa-xl col-8">
        <div class="row">
          <div class="col-6">
            <div class="q-pt-md font-16"><b>Economy</b></div>
            <div>
              Please select a economy of interest or a pre-selected group.
            </div>
          </div>
          <div class="col-6">
            <div>
              <q-select
                :options="countryReportOption"
                v-model="input.reporter"
                stack-label
                dense
                style="width: 300px; padding-top: 20px"
              >
                <template v-slot:option="scope">
                  <q-item v-bind="scope.itemProps" v-on="scope.itemEvents">
                    <q-item-section avatar>
                      <gb-flag
                        v-if="
                          scope.opt.code &&
                          scope.opt.code != 'TW' &&
                          scope.opt.type != 2
                        "
                        :code="scope.opt.code"
                        size="small"
                      />
                    </q-item-section>
                    <q-item-section>
                      <q-item-label
                        v-html="scope.opt.label"
                        :class="
                          scope.opt.disable
                            ? 'text-black text-weight-bolder'
                            : 'text-black'
                        "
                      />
                    </q-item-section>
                  </q-item>
                </template>
              </q-select>
            </div>
          </div>
        </div>

        <br />
        <div align="center">
          <div class="startBtnDiv" @click="generateCountryBrief()">
            Generate
          </div>
        </div>
      </div>
    </div>
    <div style="height: 50px"></div>
    <my-footer></my-footer>
  </div>
</template>

<script>
import axios from "axios";

import countryJsonInputReportCon from "../../public/json/country_brief.json";
// import countryJsonWorldSI from "../../public/json/country_eco_partner_con.json";
// import countryJsonWorldCI from "../../public/json/country_eco_reporter_con.json";
import riHeader from "../components/ri/main/ri_header";
import myFooter from "../components/ri_footer";
export default {
  components: {
    riHeader,
    myFooter,
  },
  data() {
    return {
      input: {
        reporter: [],
        type: "SI",
      },
      countryReportOption: [],
    };
  },
  methods: {
    loadCountry() {
      let countryReportInput = [];
      this.countryReportOption = [];
      countryReportInput = countryJsonInputReportCon;
      console.log(countryReportInput);

      countryReportInput.forEach((element) => {
        let tempData = {
          label: element.country,
          value: element.iso,
          code: element.code,
          disable: element.disable ? true : false,
        };
        this.countryReportOption.push(tempData);
        this.input.reporter = this.countryReportOption[1];
      });
    },
    generateCountryBrief() {
      let iso = this.input.reporter.value;
      window.open(this.serverPath + "#/ricountrybrief2/" + iso);
      // this.$router.push("/ricountrybrief2/" + iso + "/" + this.input.type);
    },
  },
  mounted() {
    this.loadCountry();
  },
};
</script>

<style lang="scss" scoped>
.selectDataDownloadBox {
  margin: auto;
  border: 2px solid #c4c4c4;
  box-sizing: border-box;
  height: 250px;
}
.startBtnDiv {
  cursor: pointer;
  width: 280px;
  background-color: #2d9687;
  height: 45px;
  line-height: 45px;
  font-size: 20px;
  color: white;
  border-radius: 5px;
  border: 3px solid #2d9687;
}
</style>
